> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pearl

> Retrieves a specific Pearl by its ID



## OpenAPI

````yaml get /v2/Pearl/{pearlId}
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Pearl/{pearlId}:
    get:
      tags:
        - Pearl
      summary: Get Pearl
      description: Retrieves a specific Pearl by its ID
      parameters:
        - name: pearlId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Details of the specific Pearl.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProjectApiView'
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectApiView'
            text/json:
              schema:
                $ref: '#/components/schemas/ProjectApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    ProjectApiView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the pearl.
          nullable: true
        name:
          type: string
          description: The name of the pearl.
          nullable: true
        type:
          allOf:
            - $ref: '#/components/schemas/eProjectType'
          description: |+
            Defines the type of activity of the pearl.

            `1 - Inbound`

            `2 - Outbound`

          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/eActivityStatus'
          description: |+
            Here is the activity status

            `1 - Running`

            `2 - Paused`

            `3 - Suspended`

            `10 - TemporaryMaintenance`

        phoneNumber:
          type: string
          description: The phone number assigned to the pearl.
          nullable: true
        totalAgents:
          type: integer
          description: The total number of agents allocated to the pearl.
          format: int32
        created:
          type: string
          description: The date and time when the pearl was created.
          format: date-time
        budgetConsumed:
          type: integer
          description: The amount of budget consumed so far for the pearl.
          format: int32
        totalTodayCalls:
          type: integer
          description: The total number of calls made today for the pearl.
          format: int32
        totalOngoingCalls:
          type: integer
          description: The total number of ongoing calls for the pearl.
          format: int32
        totalOnQueue:
          type: integer
          description: The number of calls currently waiting in the queue (inbound only).
          format: int32
          nullable: true
        totalLeads:
          type: integer
          description: The total number of leads associated with the pearl (outbound only).
          format: int32
          nullable: true
        totalLeadsCompleted:
          type: integer
          description: The total number of leads that have been completed (outbound only).
          format: int32
          nullable: true
        totalLeadsSuccess:
          type: integer
          description: The total number of leads successfully converted (outbound only).
          format: int32
          nullable: true
        budgetTotal:
          type: integer
          description: The total budget allocated for the pearl (outbound only).
          format: int32
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eProjectType:
      type: integer
      description: |+
        Defines the type of activity of the pearl.

        `1 - Inbound`

        `2 - Outbound`

      format: int32
    eActivityStatus:
      type: integer
      description: |+
        Here is the activity status

        `1 - Running`

        `2 - Paused`

        `3 - Suspended`

        `10 - TemporaryMaintenance`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````